package admin_agent

import (
	"net/http"

	"bdqr-server/app/main/api/internal/logic/admin_agent"
	"bdqr-server/app/main/api/internal/svc"
	"bdqr-server/common/result"
)

func AdminGetAgentConfigHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := admin_agent.NewAdminGetAgentConfigLogic(r.Context(), svcCtx)
		resp, err := l.AdminGetAgentConfig()
		result.HttpResult(r, w, resp, err)
	}
}
